## ros-melodic-dialogflow-task-executive 2.1.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dialogflow_task_executive)

find_package(catkin REQUIRED COMPONENTS
    message_generation
    std_msgs
)

add_message_files(
  FILES
  DialogResponse.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime
)


install(DIRECTORY node_scripts 
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)

=== debian/changelog ===
ros-melodic-dialogflow-task-executive (2.1.21-3stretch) stretch; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.20-3stretch) stretch; urgency=high

  * [dialogflow_task_executive] accepct full name of app name for dialogflow action (#208 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/208>)
    
      * update readme to accept dialogflow action name
      * use whole app_name for action
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.19-3stretch) stretch; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.18-3stretch) stretch; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.17-3stretch) stretch; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.16-3stretch) stretch; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.15-3stretch) stretch; urgency=high

  * add url in dialogflow_task_executive (#181 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/181>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.14-3stretch) stretch; urgency=high

  * [dialogflow_task_executive] add dialogflow_task_executive (#165 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/165>)
    * add std_msgs in package.xml (#177 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/177>)
    * update system fig/img
    * add jsk-dialog.conf example
    * add upstart example
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 21 Nov 2019 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-dialogflow-task-executive
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://ros.org/wiki/dialogflow_task_executive
Standards-Version: 3.9.2

Package: ros-melodic-dialogflow-task-executive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-app-manager, ros-melodic-message-runtime
Description: A ROS package for Task execution with dialogflow

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dialogflow-task-executive//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-dialogflow-task-executive 2.1.24

=== debian/changelog ===
ros-melodic-dialogflow-task-executive (2.1.24-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 25 Jul 2021 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.23-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 20 Jul 2021 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.22-2bionic) bionic; urgency=high

  * [dialogflow_task_executive] Change mux namespace for speech_to_textf( #221 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/221>)
  * Contributors: Naoya Yamaguchi

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 09 Jun 2021 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.21-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Tue, 18 Aug 2020 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.20-2bionic) bionic; urgency=high

  * [dialogflow_task_executive] accepct full name of app name for dialogflow action (#208 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/208>)
    
      * update readme to accept dialogflow action name
      * use whole app_name for action
    
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Thu, 06 Aug 2020 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.19-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.18-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.17-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 15 Apr 2020 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.16-2bionic) bionic; urgency=high



 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 15 Apr 2020 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.15-2bionic) bionic; urgency=high

  * add url in dialogflow_task_executive (#181 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/181>)
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 11 Dec 2019 15:00:00 -0000

ros-melodic-dialogflow-task-executive (2.1.14-2bionic) bionic; urgency=high

  * [dialogflow_task_executive] add dialogflow_task_executive (#165 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/165>)
    * add std_msgs in package.xml (#177 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/177>)
    * update system fig/img
    * add jsk-dialog.conf example
    * add upstart example
  * Contributors: Shingo Kitagawa

 -- Shingo Kitagawa <shingogo.5511@gmail.com>  Wed, 20 Nov 2019 15:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
